/***

The MIT License

Copyright (c) 2018 Teppei Tamra (TAM)

Permission is hereby granted, free of charge, to any person obtaining a copy
of this software and associated documentation files (the "Software"), to deal
in the Software without restriction, including without limitation the rights
to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
copies of the Software, and to permit persons to whom the Software is
furnished to do so, subject to the following conditions:

The above copyright notice and this permission notice shall be included in
all copies or substantial portions of the Software.

THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN
THE SOFTWARE.

***/

#ifndef SAORIADDACCOUNTDIALOG_H
#define SAORIADDACCOUNTDIALOG_H

#include <QDialog>
#include <saoridon.h>
#include <saoriaccount.h>

namespace Ui {
class SaoriAddAccountDialog;
}

class SaoriAddAccountDialog : public QDialog
{
    Q_OBJECT

public:
    explicit SaoriAddAccountDialog(QWidget *parent = 0);
    ~SaoriAddAccountDialog();

public:
    Saoridon *m_instance;
    SaoriAccount *m_account;

private slots:
    void on_openWebBrowser_pushButton_clicked();

    void on_getAccessToken_pushButton_clicked();

    void on_check_pushButton_clicked();

private:
    Ui::SaoriAddAccountDialog *ui;
};

#endif // SAORIADDACCOUNTDIALOG_H
